%define modname adodb-ext
%define src_version 504
%define soname %{modname}.so
%define inifile A10_%{modname}.ini

%define _requires_exceptions pear(phplens/adodb/adodb.inc.php)

Summary:	ADOdb extension for PHP
Name:		php-%{modname}
Version:	5.0.4
Release:	%mkrel 9
Epoch:		1
Group:		Development/PHP
License:	BSD
URL:		http://phplens.com/
Source0:	http://phplens.com/lens/dl/%{modname}-%{src_version}.tar.bz2
Source1:	%{name}.ini
Requires:	php-adodb >= 1:4.81
Requires:	php = %{php_version}
BuildRequires:	php-devel >= 3:5.2.0
Obsoletes:	php-adodb <= 4.3.10_3.3.2
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The ADOdb PHP extension provides up to 75% speedup by replacing parts of ADOdb
with C code. This extension is compatible with ADOdb 3.32 or later.

%prep

%setup -q -n adodb-%{src_version}

cp %{SOURCE1} %{inifile}

%build
# x86_64 fix
export CFLAGS="%{optflags} -fPIC"

phpize
%configure2_5x \
    --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so %{modname}.so

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS test-adodb.php README*
%config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%{_libdir}/php/extensions/%{soname}


%changelog
* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-9mdv2007.0
+ Revision: 117541
- rebuilt against new upstream version (5.2.1)
- fix deps

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.4-7mdv2007.0
+ Revision: 77865
- Import php-adodb-ext



* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-7mdv2007.1
- rebuilt for php-5.2.0
- spec file cleansing

* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-6
- rebuilt for php-5.1.6

* Wed Aug 02 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-5mdv2007.0
- fix deps

* Sat Jun 03 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-4mdv2007.0
- fix deps

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-3mdk
- rebuilt for php-5.1.4

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-2mdk
- rebuilt for php-5.1.3

* Mon Apr 24 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdk
- 5.0.4

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0.2-7mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.2-6mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:5.0.2-5mdk 
- rebuilt against php-5.1.0

* Fri Jul 08 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1:5.0.2-4mdk 
- use only one spec file for both php versions

* Wed Jun 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1:5.0.2-3mdk  
- obsoletes php-adodb <= 5.0.4_5.0.2-1mdk
- epoch should be 1

* Wed Jun 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0:5.0.2-2mdk 
- renamed to %{name}, without obsoleting old name as it is now used by standard adodb module 
- switch to a saner versioning scheme
- introduce epoch
- use perl instead of dos2unix for fixing encoding
- enforce php build version dependency
- change group to Development/PHP

* Thu Jun 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_5.0.2-1mdk
- added for php 5.x too

* Thu Jun 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_5.0.2-0.RC1.1mdk
- 5.0.2
- fix url and deps
- strip away annoying ^M

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_3.3.2-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_3.3.2-1mdk
- renamed to php4-*

* Wed May 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_3.3.2-2mdk
- fix deps

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_3.3.2-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_3.3.2-5mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_3.3.2-4mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_3.3.2-3mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Tue Jan 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_3.3.2-2mdk
- added one x86_64 fix

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_3.3.2-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_3.3.2-1mdk
- rebuild for php 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_3.3.2-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_3.3.2-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_3.3.2-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_3.3.2-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php4.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_3.3.2-1mdk
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_3.3.2-1mdk
- built for php 4.3.4

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_3.3.2-1mdk
- built for php 4.3.3
- misc spec file fixes

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.3.3.2-1mdk
- built for 4.3.2

* Sun May 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_3.3.2-1mdk
- initial cooker contrib
